import ConstructorOf from '@thats/utils/types/ConstructorOf';
import { Material } from 'three';
import XRMass from '../../core/XRMass';
export interface IFocusable extends XRMass {
    focusMaterial: Material;
    isFocused: boolean;
    isFocusable: boolean;
    focus(): void;
    blur(): void;
    onChangeFocus(v: boolean): void;
}
export default function Focusable<T extends XRMass>(Base: ConstructorOf<T>): ConstructorOf<T & IFocusable>;
