"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const three_1 = require("three");
const ShapeFit_1 = __importDefault(require("../../enums/ShapeFit"));
const ShapeType_1 = __importDefault(require("../../enums/ShapeType"));
function setDefaultOptions(options) {
    options.type = options.type || ShapeType_1.default.HULL;
    options.margin = options.hasOwnProperty('margin') ? options.margin : 0.01;
    return;
    options.fit = options.hasOwnProperty('fit') ? options.fit : ShapeFit_1.default.ALL;
    options.type = options.type || ShapeType_1.default.HULL;
    options.minHalfExtent = options.hasOwnProperty('minHalfExtent') ? options.minHalfExtent : 0;
    options.maxHalfExtent = options.hasOwnProperty('maxHalfExtent')
        ? options.maxHalfExtent
        : Number.POSITIVE_INFINITY;
    options.cylinderAxis = options.cylinderAxis || 'y';
    options.margin = options.hasOwnProperty('margin') ? options.margin : 0.01;
    options.includeInvisible = options.hasOwnProperty('includeInvisible')
        ? options.includeInvisible
        : false;
    if (!options.offset) {
        options.offset = new three_1.Vector3();
    }
    if (!options.orientation) {
        options.orientation = new three_1.Quaternion();
    }
}
exports.default = setDefaultOptions;
//# sourceMappingURL=setDefaultOptions.js.map