"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const randomizePosition_1 = __importDefault(require("./randomizePosition"));
const randomizeRotation_1 = __importDefault(require("./randomizeRotation"));
const randomizeScale_1 = __importDefault(require("./randomizeScale"));
function randomizeObject(o, positionRange, rotationRange = 2 * Math.PI, scaleRange = 0.5) {
    (0, randomizePosition_1.default)(o, positionRange);
    (0, randomizeRotation_1.default)(o, rotationRange);
    (0, randomizeScale_1.default)(o, scaleRange);
    return o;
}
exports.default = randomizeObject;
//# sourceMappingURL=randomizeObject.js.map